Just pull CMK_QT out of Charm config files, rather than having
[charm.git] / src / QuickThreads / configure
index 0a9dd7881d1efbd58a3ff0ec1b8f1a17409d945a..0c7d168c728bac035ba2a5daeeb0376eb12b7e68 100755 (executable)
@@ -1,6 +1,9 @@
 #!/bin/sh
 
-if [ ! -r mkfiles/$1 ] ; then
+CHARMINC=".."
+. ../conv-config.sh
+
+if [ ! -r mkfiles/$CMK_QT ] ; then
     echo "Usage: configure <version>"
     echo ""
     echo "Available versions are:"
@@ -11,7 +14,7 @@ if [ ! -r mkfiles/$1 ] ; then
 fi
 
 rm -f Makefile
-cp mkfiles/$1 Makefile
+cp mkfiles/$CMK_QT Makefile
 
 cat >> Makefile << EOF